# Get Token

You can use this token to get server response. On the service API page, you can select authorization and click the ‘**Try it out**‘ button. Then, in the body section enter your username and password and click the ‘**execute**‘ button.

| Method     | POST                                                                                                                 |
| ---------- | -------------------------------------------------------------------------------------------------------------------- |
| Media Type | application/json                                                                                                     |
| URL        | http\://\[server]/dolphin/apiv1/graph/auth                                                                           |
| Header     |                                                                                                                      |
| Body       | <p>{<br>     “username”:”\[username]<br>     “password”:”\[password]”<br>}</p>                                       |
| Status     | 200                                                                                                                  |
| Response   | <p>{<br>     “token”:”\[generatedToken]”<br>     “expireAt”: “2020-08-30T16:39:45.626+07:00\[Asia/Jakarta]”<br>}</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.3dolphins.ai/api/service-api/get-token-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
